/* $Id: cpl_image_gen.h,v 1.15 2005/01/28 15:26:32 llundin Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2005/01/28 15:26:32 $
 * $Revision: 1.15 $
 * $Name: cpl-3_1 $
 */

#ifndef CPL_IMAGE_GEN_H
#define CPL_IMAGE_GEN_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <limits.h>

#include "cpl_image.h"
#include "cpl_polynomial.h"

CPL_BEGIN_DECLS

/*-----------------------------------------------------------------------------
                            Function prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code cpl_image_fill_noise_uniform(cpl_image *, double, double) ;
cpl_error_code cpl_image_fill_gaussian(cpl_image *, double, double, double,
        double, double) ;
cpl_error_code cpl_image_fill_polynomial(cpl_image *, 
        const cpl_polynomial *, double, double, double, double) ;
cpl_image * cpl_image_fill_test_create(int, int) ;

CPL_END_DECLS

#endif 
